import { ChainId } from '@dodoex/api';
import { Currency, NativeCurrencyClass, Token } from '..';
export declare class NativeCurrency implements NativeCurrencyClass {
    constructor(chainId: number);
    chainId: ChainId;
    decimals: number;
    name: string;
    symbol: string;
    isNative: true;
    isToken: false;
    address: string;
    equals(currency: Currency): boolean;
    get wrapped(): Token;
    private static _cachedNativeCurrency;
    static onChain(chainId: number): NativeCurrency;
}
